Bug 862424 - Documentation support for non JTA transaction control
Documentation support for non JTA transaction control
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: doc-BRMS_Business_Process_Management_Guide (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: future
Assigned To: brms-docs@redhat.com
Radovan Synek
Dawn Eisner
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 16:42 EDT by Alessandro Lazarotti
Modified: 2016-10-14 10:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Lazarotti 2012-10-02 16:42:45 EDT
Some customers are using external controls to manage transactions, like Spring + RESOURCE_LOCAL.
This is a very important feature since jBPM can be used as a third-party engine for custom frameworks which manages its own transaction.

This support was added to BRMS by bug 840040 and bug 818244, but it is not documented how to use it yet. A couple of customers are asking if this feature is available and how to use it.
Comment 2 lcarlon 2012-10-10 18:31:16 EDT
Hi Alessandro,

Unfortunately, it's too in the docs cycle to document this feature.

I'll leave the status as new so that it can be picked up for a future release.

Thanks
Lee
Comment 3 Vikram Goyal 2014-07-17 06:59:42 EDT
@ Doug - might need to investigate this a little for the 5.x release.
Comment 4 Vikram Goyal 2014-08-19 20:20:27 EDT
@ Alessandro - since there has been quite some time since this was filed for the 5.* branch I am wondering if this is now generally true for 6.x branch as well?

If you could confirm that then we could document work for this accordingly and include it in the 6.x documentation as well.

Note You need to log in before you can comment on or make changes to this bug.